# Package org.firebirdsql.gds.ng.wire.crypt

Interface Summary
Interface | Description
--- | ---
EncryptionPlugin | Plugin for Firebird wire encryption.
EncryptionPluginSpi | Service provider interface for wire encryption plugins.

Class Summary
Class | Description
--- | ---
EncryptionIdentifier | Identifier of an encryption type + plugin.
EncryptionInitInfo | The initial initialization information of an encryption plugin.
KnownServerKey | Class to hold server keys known to the client.

Enum Summary
Enum | Description
--- | ---
EncryptionInitInfo.InitResult |

Exception Summary
Exception | Description
--- | ---
FBSQLEncryptException | Exception that indicates encryption could not be initialized.